4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.AttributeInfo

Classes that support validation and evaluation of attribute values in XSLT instruction elements

    Copyright 2003 Fourthought, Inc. (USA).
    Detailed license and copyright information: http://4suite.org/COPYRIGHT
    Project home, documentation, distributions: http://4suite.org/

Classes: AnyAvt, AttributeInfo, Avt, BooleanExpression, Char, CharAvt, Choice, ChoiceAvt, Expression, ExpressionWrapper, Id, IdAvt, NCName, NCNameAvt, NMToken, NMTokenAvt, NodeSetExpression, Number, NumberAvt, NumberExpression, Pattern, Prefix, PrefixAvt, Prefixes, PrefixesAvt, QName, QNameAvt, QNameButNotNCName, QNames, QNamesAvt, RawQName, RawQNameAvt, String, StringAvt, StringExpression, Token, TokenAvt, Tokens, TokensAvt, UriReference, UriReferenceAvt, YesNo, YesNoAvt |  |  |  | Globals: EMPTY_NAMESPACE, XMLNS_NAMESPACE, XML_NAMESPACE

## Classes

class AnyAvt(Avt, AttributeInfo)

  ### Methods inherited from class Avt

  __str__, prepare

  ### Methods inherited from class AttributeInfo

  __init__, reprocess, validate

  ### Members

  display = 'any avt'
class AttributeInfo

  ### Methods

  __init__(self, required=0, default=None, description='')
  __str__(self)
  prepare(self, element, value)
  reprocess = prepare(self, element, value)
  validate(self, validation)

  ### Members

  display = 'unknown'
class Avt

  ### Methods

  __str__(self)
  prepare(self, element, value)
class BooleanExpression(Expression)

  ### Methods inherited from class Expression

  prepare

  ### Methods inherited from class AttributeInfo

  __init__, __str__, reprocess, validate

  ### Members

  display = 'boolean-expression'
class Char(AttributeInfo)
  A string value with a length of one

  ### Methods

  prepare(self, element, value)
    Overrides: prepare from class AttributeInfo
  reprocess = prepare(self, element, value)
    Overrides: reprocess from class AttributeInfo

  ### Methods inherited from class AttributeInfo

  __init__, __str__, validate

  ### Members

  display = 'char'
class CharAvt(Avt, Char)

  ### Methods inherited from class Avt

  __str__, prepare

  ### Methods inherited from class Char

  reprocess

  ### Methods inherited from class AttributeInfo

  __init__, validate

  ### Members inherited from class Char

  display
class Choice(AttributeInfo)

  ### Methods

  __init__(self, values, required=0, default=None, description='')
    Overrides: __init__ from class AttributeInfo
  __str__(self)
    Overrides: __str__ from class AttributeInfo
  prepare(self, element, value)
    Overrides: prepare from class AttributeInfo
  reprocess = prepare(self, element, value)
    Overrides: reprocess from class AttributeInfo

  ### Methods inherited from class AttributeInfo

  validate

  ### Members inherited from class AttributeInfo

  display
class ChoiceAvt(Avt, Choice)

  ### Methods

  __str__(self)
    Overrides: __str__ from class Avt

  ### Methods inherited from class Avt

  prepare

  ### Methods inherited from class Choice

  __init__, reprocess

  ### Methods inherited from class AttributeInfo

  validate

  ### Members inherited from class AttributeInfo

  display
class Expression(AttributeInfo)
  An attribute whose value is used as an XPath expression

  ### Methods

  prepare(self, element, value)
    Overrides: prepare from class AttributeInfo

  ### Methods inherited from class AttributeInfo

  __init__, __str__, reprocess, validate

  ### Members

  display = 'expression'
class ExpressionWrapper

  ### Methods

  __getattr__(self, attr)
    Make this behave as if it was the expression object itself.
  __getstate__(self)
    # Provide the copy/pickle helpers so as to not get them from the # wrapped expression.
  __init__(self, expression, element, original)
  __nonzero__(self)
  __setstate__(self, state)
  evaluate(self, context)
class Id(AttributeInfo)

  ### Methods

  prepare(self, element, value)
    Overrides: prepare from class AttributeInfo
  reprocess = prepare(self, element, value)
    Overrides: reprocess from class AttributeInfo

  ### Methods inherited from class AttributeInfo

  __init__, __str__, validate

  ### Members

  display = 'id'
class IdAvt(Avt, Id)

  ### Methods inherited from class Avt

  __str__, prepare

  ### Methods inherited from class Id

  reprocess

  ### Methods inherited from class AttributeInfo

  __init__, validate

  ### Members inherited from class Id

  display
class NCName(AttributeInfo)

  ### Methods

  prepare(self, element, value)
    Overrides: prepare from class AttributeInfo
  reprocess = prepare(self, element, value)
    Overrides: reprocess from class AttributeInfo

  ### Methods inherited from class AttributeInfo

  __init__, __str__, validate

  ### Members

  display = 'ncname'
class NCNameAvt(Avt, NCName)

  ### Methods inherited from class Avt

  __str__, prepare

  ### Methods inherited from class NCName

  reprocess

  ### Methods inherited from class AttributeInfo

  __init__, validate

  ### Members inherited from class NCName

  display
class NMToken(AttributeInfo)

  ### Methods

  prepare(self, element, value)
    Overrides: prepare from class AttributeInfo
  reprocess = prepare(self, element, value)
    Overrides: reprocess from class AttributeInfo

  ### Methods inherited from class AttributeInfo

  __init__, __str__, validate

  ### Members

  display = 'nmtoken'
class NMTokenAvt(Avt, NMToken)

  ### Methods inherited from class Avt

  __str__, prepare

  ### Methods inherited from class NMToken

  reprocess

  ### Methods inherited from class AttributeInfo

  __init__, validate

  ### Members inherited from class NMToken

  display
class NodeSetExpression(Expression)

  ### Methods inherited from class Expression

  prepare

  ### Methods inherited from class AttributeInfo

  __init__, __str__, reprocess, validate

  ### Members

  display = 'node-set-expression'
class Number(AttributeInfo)

  ### Methods

  prepare(self, element, value)
    Overrides: prepare from class AttributeInfo
  reprocess = prepare(self, element, value)
    Overrides: reprocess from class AttributeInfo

  ### Methods inherited from class AttributeInfo

  __init__, __str__, validate

  ### Members

  display = 'number'
class NumberAvt(Avt, Number)

  ### Methods

  reprocess = prepare(self, element, value)
    Overrides: reprocess from class Number

  ### Methods inherited from class Avt

  __str__, prepare

  ### Methods inherited from class AttributeInfo

  __init__, validate

  ### Members inherited from class Number

  display
class NumberExpression(Expression)

  ### Methods inherited from class Expression

  prepare

  ### Methods inherited from class AttributeInfo

  __init__, __str__, reprocess, validate

  ### Members

  display = 'number-expression'
class Pattern(AttributeInfo)
  An attribute whose value is used as an XPattern expression

  ### Methods

  prepare(self, element, value)
    Overrides: prepare from class AttributeInfo

  ### Methods inherited from class AttributeInfo

  __init__, __str__, reprocess, validate

  ### Members

  display = 'pattern'
class Prefix(AttributeInfo)

  ### Methods

  prepare(self, element, value)
    Overrides: prepare from class AttributeInfo
  reprocess = prepare(self, element, value)
    Overrides: reprocess from class AttributeInfo

  ### Methods inherited from class AttributeInfo

  __init__, __str__, validate

  ### Members

  display = 'prefix'
class PrefixAvt(Avt, Prefix)

  ### Methods inherited from class Avt

  __str__, prepare

  ### Methods inherited from class Prefix

  reprocess

  ### Methods inherited from class AttributeInfo

  __init__, validate

  ### Members inherited from class Prefix

  display
class Prefixes(Prefix)
  A whitespace separated list of prefixes (see Prefix for more information)

  ### Methods

  prepare(self, element, value)
    Overrides: prepare from class Prefix
  reprocess = prepare(self, element, value)
    Overrides: reprocess from class Prefix

  ### Methods inherited from class AttributeInfo

  __init__, __str__, validate

  ### Members

  display = 'prefixes'
class PrefixesAvt(Avt, Prefixes)

  ### Methods inherited from class Avt

  __str__, prepare

  ### Methods inherited from class Prefixes

  reprocess

  ### Methods inherited from class AttributeInfo

  __init__, validate

  ### Members inherited from class Prefixes

  display
class QName(AttributeInfo)

  ### Methods

  prepare(self, element, value)
    Overrides: prepare from class AttributeInfo
  reprocess = prepare(self, element, value)
    Overrides: reprocess from class AttributeInfo

  ### Methods inherited from class AttributeInfo

  __init__, __str__, validate

  ### Members

  display = 'qname'
class QNameAvt(Avt, QName)

  ### Methods inherited from class Avt

  __str__, prepare

  ### Methods inherited from class QName

  reprocess

  ### Methods inherited from class AttributeInfo

  __init__, validate

  ### Members inherited from class QName

  display
class QNameButNotNCName(AttributeInfo)

  ### Methods

  prepare(self, element, value)
    Overrides: prepare from class AttributeInfo
  reprocess = prepare(self, element, value)
    Overrides: reprocess from class AttributeInfo

  ### Methods inherited from class AttributeInfo

  __init__, __str__, validate

  ### Members

  display = 'qname-but-not-ncname'
class QNames(QName)
  A whitespace separated list of qnames (see QName for description of a qname)

  ### Methods

  prepare(self, element, value)
    Overrides: prepare from class QName
  reprocess = prepare(self, element, value)
    Overrides: reprocess from class QName

  ### Methods inherited from class AttributeInfo

  __init__, __str__, validate

  ### Members

  display = 'qnames'
class QNamesAvt(Avt, QNames)

  ### Methods inherited from class Avt

  __str__, prepare

  ### Methods inherited from class QNames

  reprocess

  ### Methods inherited from class AttributeInfo

  __init__, validate

  ### Members inherited from class QNames

  display
class RawQName(QName)

  ### Methods

  prepare(self, element, value)
    Overrides: prepare from class QName
  reprocess = prepare(self, element, value)
    Overrides: reprocess from class QName

  ### Methods inherited from class AttributeInfo

  __init__, __str__, validate

  ### Members inherited from class QName

  display
class RawQNameAvt(Avt, RawQName)

  ### Methods inherited from class Avt

  __str__, prepare

  ### Methods inherited from class RawQName

  reprocess

  ### Methods inherited from class AttributeInfo

  __init__, validate

  ### Members inherited from class QName

  display
class String(AttributeInfo)

  ### Methods inherited from class AttributeInfo

  __init__, __str__, prepare, reprocess, validate

  ### Members

  display = 'string'
class StringAvt(Avt, String)

  ### Methods inherited from class Avt

  __str__, prepare

  ### Methods inherited from class AttributeInfo

  __init__, reprocess, validate

  ### Members inherited from class String

  display
class StringExpression(Expression)

  ### Methods inherited from class Expression

  prepare

  ### Methods inherited from class AttributeInfo

  __init__, __str__, reprocess, validate

  ### Members

  display = 'string-expression'
class Token(AttributeInfo)
  An attribute whose value is used as an XPath NameTest

  ### Methods

  prepare(self, element, value)
    Overrides: prepare from class AttributeInfo
  reprocess = prepare(self, element, value)
    Overrides: reprocess from class AttributeInfo

  ### Methods inherited from class AttributeInfo

  __init__, __str__, validate

  ### Members

  display = 'token'
class TokenAvt(Avt, Token)

  ### Methods inherited from class Avt

  __str__, prepare

  ### Methods inherited from class Token

  reprocess

  ### Methods inherited from class AttributeInfo

  __init__, validate

  ### Members inherited from class Token

  display
class Tokens(Token)
  A whitespace separated list of tokens (see Token for description of a token)

  ### Methods

  prepare(self, element, value)
    Overrides: prepare from class Token
  reprocess = prepare(self, element, value)
    Overrides: reprocess from class Token

  ### Methods inherited from class AttributeInfo

  __init__, __str__, validate

  ### Members

  display = 'tokens'
class TokensAvt(Avt, Tokens)

  ### Methods inherited from class Avt

  __str__, prepare

  ### Methods inherited from class Tokens

  reprocess

  ### Methods inherited from class AttributeInfo

  __init__, validate

  ### Members inherited from class Tokens

  display
class UriReference(AttributeInfo)

  ### Methods

  __init__(self, required=0, default=None, description='', isNsName=0)
    Overrides: __init__ from class AttributeInfo
  prepare(self, element, value)
    Overrides: prepare from class AttributeInfo
  reprocess = prepare(self, element, value)
    Overrides: reprocess from class AttributeInfo

  ### Methods inherited from class AttributeInfo

  __str__, validate

  ### Members

  display = 'uri-reference'
class UriReferenceAvt(Avt, UriReference)

  ### Methods inherited from class Avt

  __str__, prepare

  ### Methods inherited from class UriReference

  __init__, reprocess

  ### Methods inherited from class AttributeInfo

  validate

  ### Members inherited from class UriReference

  display
class YesNo(AttributeInfo)

  ### Methods

  prepare(self, element, value)
    Overrides: prepare from class AttributeInfo
  reprocess = prepare(self, element, value)
    Overrides: reprocess from class AttributeInfo

  ### Methods inherited from class AttributeInfo

  __init__, __str__, validate

  ### Members

  display = '"yes" | "no"'
class YesNoAvt(Avt, YesNo)

  ### Methods inherited from class Avt

  __str__, prepare

  ### Methods inherited from class YesNo

  reprocess

  ### Methods inherited from class AttributeInfo

  __init__, validate

  ### Members inherited from class YesNo

  display

## Globals

EMPTY_NAMESPACE = None
XMLNS_NAMESPACE = u'http://www.w3.org/2000/xmlns/'
XML_NAMESPACE = u'http://www.w3.org/XML/1998/namespace'